# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

kind-dependencies:
    - post-balrog-dummy
    - post-beetmover-dummy
    - release-balrog-submit-toplevel
    - release-update-verify-config
    - toolchain

transforms:
    - gecko_taskgraph.transforms.release_deps:transforms
    - gecko_taskgraph.transforms.update_verify:transforms
    - gecko_taskgraph.transforms.job:transforms
    - gecko_taskgraph.transforms.task:transforms

task-defaults:
    run-on-repo-type: [hg]
    name: update-verify
    run-on-projects: []  # to make sure this never runs as part of CI
    shipping-phase: promote
    worker-type: b-linux
    worker:
        artifacts:
            - name: 'public/build/diff-summary.log'
              path: '/builds/worker/checkouts/gecko/diff-summary.log'
              type: file
        docker-image:
            in-tree: "update-verify"
        max-run-time: 5400
        retry-exit-status:
            - 255
    treeherder:
        symbol: UV()
        kind: test
    extra:
        chunks: 16

tasks:
    firefox-linux64-aarch64:
        description: linux64-aarch64 update verify
        shipping-product: firefox
        attributes:
            build_platform: linux64-aarch64-shippable

    firefox-linux64:
        description: linux64 update verify
        shipping-product: firefox
        attributes:
            build_platform: linux64-shippable

    firefox-win64:
        description: win64 update verify
        shipping-product: firefox
        attributes:
            build_platform: win64-shippable

    firefox-win64-aarch64:
        description: win64-aarch64 update verify
        shipping-product: firefox
        attributes:
            build_platform: win64-aarch64-shippable

    firefox-win32:
        description: win32 update verify
        shipping-product: firefox
        attributes:
            build_platform: win32-shippable

    firefox-macosx64:
        description: macosx64 update verify
        shipping-product: firefox
        attributes:
            build_platform: macosx64-shippable
        extra:
            chunks: 30
        fetches:
            toolchain:
                - linux64-libdmg

    devedition-linux64-aarch64:
        description: linux64-aarch64 update verify
        shipping-product: devedition
        attributes:
            build_platform: linux64-aarch64-devedition

    devedition-linux64:
        description: linux64 update verify
        shipping-product: devedition
        attributes:
            build_platform: linux64-devedition

    devedition-win64:
        description: win64 update verify
        shipping-product: devedition
        attributes:
            build_platform: win64-devedition

    devedition-win64-aarch64:
        description: win64-aarch64 update verify
        shipping-product: devedition
        attributes:
            build_platform: win64-aarch64-devedition

    devedition-win32:
        description: win32 update verify
        shipping-product: devedition
        attributes:
            build_platform: win32-devedition

    devedition-macosx64:
        description: macosx64 update verify
        shipping-product: devedition
        attributes:
            build_platform: macosx64-devedition
        extra:
            chunks: 30
        fetches:
            toolchain:
                - linux64-libdmg
